### 适配达梦数据库

#### 1、添加达梦数据库驱动

```xml

<dependency>
    <groupId>com.dameng</groupId>
    <artifactId>DmJdbcDriver18</artifactId>
</dependency>
```

#### 2、数据库连接配置

url后缀添加 **compatibleMode=oracle**

```yml
spring:
  datasource:
    driver-class-name: dm.jdbc.driver.DmDriver
    type: com.zaxxer.hikari.HikariDataSource
    url: jdbc:dm://127.0.0.1:30236?compatibleMode=oracle
    username: SYSDBA
    password: SYSDBA001
```

#### 3、主键生成配置
| id生成 | 实现                                                             |
|------|----------------------------------------------------------------|
| 自增ID | @KeySequence(value = "SEQ_MODEL_STRING_KEY", dbType = DbType.DM) 
|
| 雪花算法 | @TableId(type = IdType.ASSIGN_ID)                              |
#### 4、分页方言配置
在 ***com.flow.common.mybatis.configure.MybatisPlusConfigure***文件中，修改为***DbType.DM***
```java
    @Bean
    public MybatisPlusInterceptor mybatisPlusInterceptor() {
        MybatisPlusInterceptor mybatisPlusInterceptor = new MybatisPlusInterceptor();
        // 分页插件
        mybatisPlusInterceptor.addInnerInterceptor(new PaginationInnerInterceptor(DbType.DM));
        return mybatisPlusInterceptor;
    }
```
#### 5、修改递归查询方言
项目中的查询使用到mysql8的***with recursive*** 递归查询，修改为***CONNECT BY*** 递归查询
#### 6、执行sql脚本
***sql/dm.sql***