package com.flow.service.impl;

import com.flow.common.core.util.SecurityContextUtil;
import com.flow.common.mybatis.constant.SqlConstant;
import com.flow.common.mybatis.service.impl.BaseServiceImpl;
import com.flow.dao.FlowTempDao;
import com.flow.entity.FlowTemp;
import com.flow.service.FlowTempService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FlowTempServiceImpl extends BaseServiceImpl<FlowTempDao, FlowTemp> implements FlowTempService {
    @Autowired
    private FlowTempDao flowTempDao;

    @Override
    public FlowTemp saveData(FlowTemp flowTemp) {
        flowTempDao.insert(flowTemp);
        return flowTemp;
    }

    @Override
    public FlowTemp getByBusinessId(String businessId) {
        return flowTempDao.lambdaQueryChain()
                .eq(FlowTemp::getBusinessId, businessId)
                .eq(FlowTemp::getUserId, SecurityContextUtil.getUserId())
                .last(SqlConstant.LIMIT1)
                .one();
    }

    @Override
    public void deleteByBusinessId(String businessId) {
        flowTempDao.lambdaUpdateChain()
                .eq(FlowTemp::getBusinessId, businessId)
                .eq(FlowTemp::getUserId, SecurityContextUtil.getUserId())
                .remove();
    }

}
